<html>
<head>
<meta charset='utf-8'>
<style>
  #mld .relation { font-variant: small-caps; font-weight: bold }
  #mld .primary { text-decoration: underline }
  #mld .foreign { font-style: oblique }
  #mld .normal { }
</style>
</head>
<body>
<div id='mld'>
<div>
  <span class='relation'>Favori</span> (
    <span class='foreign primary'>IdMusique</span>,
    <span class='foreign primary'>IdUtilisateur</span>
  )
</div>
<div>
  <span class='relation'>Utilisateur</span> (
    <span class='primary'>IdUtilisateur</span>,
    <span class='normal'>Favori</span>
  )
</div>
<div>
  <span class='relation'>Musique</span> (
    <span class='primary'>IdMusique</span>,
    <span class='normal'>NombreMusique</span>,
    <span class='normal'>AnneeMusique</span>,
    <span class='normal'>IdAlbum</span>,
    <span class='normal'>IdArtiste</span>,
    <span class='normal'>Duree</span>,
    <span class='normal'>DateModification</span>,
    <span class='normal'>DateAjout</span>,
    <span class='normal'>Favori</span>,
    <span class='normal'>Titre</span>,
    <span class='normal'>NomArtiste</span>,
    <span class='normal'>Compositeur</span>,
    <span class='normal'>NomAlbum</span>,
    <span class='normal'>titreMusique</span>,
    <span class='normal'>NomArtiste.1</span>
  )
</div>
<div>
  <span class='relation'>A</span> (
    <span class='foreign primary'>IdMusique</span>,
    <span class='foreign primary'>NomArtiste</span>
  )
</div>
<div>
  <span class='relation'>Artiste</span> (
    <span class='primary'>NomArtiste</span>,
    <span class='normal'>ImageArtiste</span>,
    <span class='normal'>ListeAlbums</span>,
    <span class='normal'>NombreSons</span>,
    <span class='normal'>NombreAlbums</span>
  )
</div>
<div>
  <span class='relation'>Composé</span> (
    <span class='foreign primary'>IdMusique</span>,
    <span class='foreign primary'>IdMusique.1</span>
  )
</div>
<div>
  <span class='relation'>Albums</span> (
    <span class='primary'>IdMusique</span>,
    <span class='normal'>IdArtiste</span>,
    <span class='normal'>ListeMusique</span>,
    <span class='normal'>NomMusique</span>,
    <span class='normal'>NombreSon</span>,
    <span class='normal'>ImageAlbum</span>,
    <span class='normal'>NomArtiste</span>
  )
</div>
</div>
</body>
</html>